﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RichTextBoxBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Entry test = new Entry();
            test.MyText = "a binding test";

            this.DataContext = test;

            CreaTextBox();
        }

        private void CreaTextBox()
        {
            TextBox txtInputData = new TextBox();
            //txtInputData.Visibility = Visibility.Hidden;
            txtInputData.Name = "TextWithUrl";
            txtInputData.SetValue(TextBox.TextProperty, "Test");
            txtInputData.TextWrapping = TextWrapping.Wrap;
            txtInputData.VerticalScrollBarVisibility = ScrollBarVisibility.Hidden;
            txtInputData.AcceptsReturn = true;
            //txtInputData.MouseLeave += new MouseEventHandler(Change_LeaveTextbox);
            Stack.Children.Add(txtInputData);

            // Create a FlowDocument
            FlowDocument mcFlowDoc = new FlowDocument();

            // Create a paragraph with text
            Paragraph para = new Paragraph();

            // Create a Run and bind its text           
            Run run = new Run();
            run.SetBinding(Run.TextProperty, "MyText");

            para.Inlines.Add(run);

            // Add the paragraph to blocks of paragraph
            mcFlowDoc.Blocks.Add(para);

            RichTextBox txtOutPutData = new RichTextBox();
            //txtOutPutData.Visibility = Visibility.Visible;
            txtOutPutData.Name = "TextLinkUrl";
            txtOutPutData.IsReadOnly = true;
            txtOutPutData.IsDocumentEnabled = true;
            txtOutPutData.Document = mcFlowDoc;
            
            //txtOutPutData.SetValue(TextBox.TextProperty, "TextWithUrl");
            //txtOutPutData.SetBinding(TextBox.TextProperty, "TextWithUrl");
            //txtInputDatatxtOutPutData.PreviewMouseLeftButtonDown += new MouseButtonEventHandler(TextLinkUrl_MouseLeftButtonDown);
            Stack.Children.Add(txtOutPutData);
        }

    }

    public class Entry
    {
        public string MyText { get; set; }
    }

}
